Package twisted :: Package spread :: Module refpath :: Class PathReferenceDirectory

[show private | hide private]
[frames | no frames]

## Class PathReferenceDirectory

    Jellyable --+
                |
     Serializable --+
                    |
        Referenceable --+
                        |
                       PathReferenceDirectory

Method Summary
| `__init__(self, root, prefix)`
| `getStateFor(self, jellier)` (inherited from `Jellyable`)
| ``jellyFor`(self, jellier)` (internal) (inherited from `Referenceable`)
| ``processUniqueID`(self)` Return an ID which uniquely represents this object for this process. (inherited from `Serializable`)
| `remote_callPath(self, path, name, *args, **kw)`
| ``remoteMessageReceived`(self, broker, message, args, kw)` A remote message has been received. (inherited from `Referenceable`)

Generated by Epydoc 1.1 on Thu May 8 13:16:55 2003 | http://epydoc.sf.net